/*
// $Id: Named.java 315 2010-05-29 00:56:11Z jhyde $
// This software is subject to the terms of the Eclipse Public License v1.0
// Agreement, available at the following URL:
// http://www.eclipse.org/legal/epl-v10.html.
// Copyright (C) 2007-2010 Julian Hyde
// All Rights Reserved.
// You must accept the terms of that agreement to use this software.
*/
package org.olap4j.impl;

/**
 * Interface which describes an object which has a name, for the purposes of
 * creating an implementation, {@link NamedListImpl} of
 * {@link org.olap4j.metadata.NamedList} which works on such objects.
 *
 * @author jhyde
 * @version $Id: Named.java 315 2010-05-29 00:56:11Z jhyde $
 * @since May 23, 2007
 */
public interface Named {
    /**
     * Returns the name of this object.
     *
     * @return name of this object
     */
    String getName();
}

// End Named.java
